# Removal in 30 days. Bug #552628.
dev-libs/libmimedir
-# Michał Górny <mgorny@gentoo.org> (05 Jun 2017)
-# (on behalf of Treecleaner project)
-# Abandoned downstream and upstream. Permanently masked due to
-# a dependency on vulnerable library.
-# Removal in 30 days. Bug #337473.
-sys-block/afacli
-
# Michał Górny <mgorny@gentoo.org> (05 Jun 2017)
# (on behalf of Treecleaner project)
# Unmaintained in Gentoo. Multiple bugs, including a security
+++ /dev/null
-DIST afa-apps-snmp.2807420-A04.tar.gz 966308 SHA256 0b7abd0308e8cff6824b47e435e81579f2464ddc5fb9a87d478eb87778176fd2 SHA512 af90c7707c5b39e6eacad64c670d4c3fd97e510a9d12c2e3d21f662d179803e3fa6bb7a52ffc5572b50bc80888b496a42819874601311e64469d4010fc417fab WHIRLPOOL 248556a2b605cef3338727e43ae81d15d60a4b1a9ef7841a512d196231cad5bf8a1cd476b4574cf889554d481c28dd511e7f54b95fd46840d404c4f297df9bb7
+++ /dev/null
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-inherit rpm
-
-MY_PV=${PV}-0
-DESCRIPTION="Dell AACRAID-based PERC RAID controller management tool"
-HOMEPAGE="http://linux.dell.com/"
-SRC_URI="ftp://ftp.dell.com/scsi-raid/afa-apps-snmp.2807420-A04.tar.gz"
-
-LICENSE="Dell"
-SLOT="0"
-# This package can never enter stable, it can't be mirrored and upstream
-# can remove the distfiles from their mirror anytime.
-KEYWORDS="~x86"
-IUSE=""
-
-RESTRICT="strip mirror test"
-
-RDEPEND="sys-libs/lib-compat"
-
-S="${WORKDIR}"
-
-src_unpack() {
- unpack ${A}
- rpm_unpack "${S}"/afaapps-${MY_PV}.i386.rpm || die "failed to unpack RPM"
-}
-
-src_compile() {
- echo "Nothing to compile."
-}
-
-src_install() {
- dosbin "${FILESDIR}"/afacli
- newsbin usr/sbin/afacli afacli.bin
- dodoc usr/sbin/getcfg.afa
-}
+++ /dev/null
-#!/bin/sh
-
-# Get the major number of the aac ioctl device node
-aacdev_major=$(egrep '[[:space:]]aac$' /proc/devices 2>/dev/null | awk '{print $1}' 2>/dev/null)
-aacdev_node=/dev/afa0
-
-# AACRAID device node major number found
-if [ -z "${aacdev_major}" ]; then
- echo "ERROR: failed to determine device node major number"
- exit 1
-fi
-if [ -e "${aacdev_node}" ]; then
- if ! rm -f "${aacdev_node}"; then
- echo "ERROR: failed to remove existing device node ${aacdev_node}"
- exit 1
- fi
-fi
-if ! mknod "${aacdev_node}" c "${aacdev_major}" 0; then
- echo "ERROR: failed to create device node ${aacdev_node}"
- exit 1
-fi
-
-# Start the real afacli binary
-"${0%/*}/afacli.bin" "${@}"
+++ /dev/null
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-<!-- maintainer-needed -->
-</pkgmetadata>